// Copyright (c) 2001-2003 Quadralay Corporation.  All rights reserved.
//

function  WWHCommonMessages_Object()
{
  // Set default messages
  //
  WWHCommonMessages_Set_en(this);

  this.fSetByLocale = WWHCommonMessages_SetByLocale;
}

function  WWHCommonMessages_SetByLocale(ParamLocale)
{
  var  LocaleFunction = null;


  // Match locale
  //
  if ((ParamLocale.length > 1) &&
      (eval("typeof(WWHCommonMessages_Set_" + ParamLocale + ")") == "function"))
  {
    LocaleFunction = eval("WWHCommonMessages_Set_" + ParamLocale);
  }
  else if ((ParamLocale.length > 1) &&
           (eval("typeof(WWHCommonMessages_Set_" + ParamLocale.substring(0, 2) + ")") == "function"))
  {
    LocaleFunction = eval("WWHCommonMessages_Set_" + ParamLocale.substring(0, 2));
  }

  // Default already set, only override if locale found
  //
  if (LocaleFunction != null)
  {
    LocaleFunction(this);
  }
}

function  WWHCommonMessages_Set_de(ParamMessages)
{
  // Icon Labels
  //
  ParamMessages.mShowNavigationIconLabel = "Navigation anzeigen";
  ParamMessages.mSyncIconLabel           = "Im Inhalt anzeigen";
  ParamMessages.mPrevIconLabel           = "Zur\u00fcck";
  ParamMessages.mNextIconLabel           = "Weiter";
  ParamMessages.mRelatedTopicsIconLabel  = "Verwandte Themen";
  ParamMessages.mEmailIconLabel          = "E-Mail";
  ParamMessages.mPrintIconLabel          = "Drucken";
  ParamMessages.mBookmarkIconLabel       = "Lesezeichen";
  ParamMessages.mBookmarkLinkMessage     = "Klicken Sie mit der rechten Maustaste auf die Verkn\u00fcpfung, und f\u00fcgen Sie sie Ihren Lesezeichen hinzu.";

  // ALinks support
  //
  ParamMessages.mSeeAlsoLabel = "DE See Also";

  // Browser support messages
  //
  ParamMessages.mUseAccessibleHTML   = "DE Do you require accessible HTML support?";
  ParamMessages.mBrowserNotSupported = "Ihr Webbrowser unterst\u00fctzt die zum ordnungsgem??en Anzeigen\\ndieser Seite erforderlichen Funktionen nicht. Folgende Browser werden unterst\u00fctzt:\\n\\n IE4 und h?her f\u00fcr Windows und UNIX\\n IE5 und h?her f\u00fcr Mac\\n Netscape 6.1 und h?her f\u00fcr Windows, Mac und UNIX\\n Netscape 4.x f\u00fcr Windows, Mac und UNIX";

  // Accessibility messages
  //
  ParamMessages.mAccessibilityListSeparator            = "DE ,";
  ParamMessages.mAccessibilityDocumentFrameName        = "DE Document";
  ParamMessages.mAccessibilityDisabledNavigationButton = "DE Disabled button %s";
  ParamMessages.mAccessibilityPopupClickThrough        = "DE Click here to go to the source document.";
}

function  WWHCommonMessages_Set_en(ParamMessages)
{
  // Icon Labels
  //
  ParamMessages.mShowNavigationIconLabel = "Show Navigation";
  ParamMessages.mSyncIconLabel           = "Show in Contents";
  ParamMessages.mPrevIconLabel           = "Go back one help topic";
  ParamMessages.mNextIconLabel           = "Go forward one help topic";
  ParamMessages.mRelatedTopicsIconLabel  = "Related Topics";
  ParamMessages.mEmailIconLabel          = "E-mail";
  ParamMessages.mPrintIconLabel          = "Print this help topic";
  ParamMessages.mBookmarkIconLabel       = "Bookmark";
  ParamMessages.mBookmarkLinkMessage     = "Right-click link and add it to your bookmarks.";

  // ALinks support
  //
  ParamMessages.mSeeAlsoLabel = "See Also";

  // Browser support messages
  //
  ParamMessages.mUseAccessibleHTML   = "Do you require accessible HTML support?";
  ParamMessages.mBrowserNotSupported = "Your web browser does not support the necessary features\\nrequired to view this page properly.  Supported browsers are:\\n\\n  IE4 and later on Windows and UNIX\\n  IE5 and later on Mac\\n  Netscape 6.1 and later on Windows, Mac, and UNIX\\n  Netscape 4.x on Windows, Mac, and UNIX";

  // Accessibility messages
  //
  ParamMessages.mAccessibilityListSeparator            = ",";
  ParamMessages.mAccessibilityDocumentFrameName        = "Document";
  ParamMessages.mAccessibilityDisabledNavigationButton = "Disabled button %s";
  ParamMessages.mAccessibilityPopupClickThrough        = "Click here to go to the source document.";
}

function  WWHCommonMessages_Set_es(ParamMessages)
{
  // Icon Labels
  //
  ParamMessages.mShowNavigationIconLabel = "Mostrar barra de navegaci\u00f3n";
  ParamMessages.mSyncIconLabel           = "Mostrar en Contenido";
  ParamMessages.mPrevIconLabel           = "Atr\u00e1s";
  ParamMessages.mNextIconLabel           = "Adelante";
  ParamMessages.mRelatedTopicsIconLabel  = "Temas relacionados";
  ParamMessages.mEmailIconLabel          = "E-mail";
  ParamMessages.mPrintIconLabel          = "Imprimir";
  ParamMessages.mBookmarkIconLabel       = "Marcador";
  ParamMessages.mBookmarkLinkMessage     = "Haga clic con el bot\u00f3n derecho del mouse en el v\u00ednculo para agregarlo a la lista de favoritos.";

  // ALinks support
  //
  ParamMessages.mSeeAlsoLabel = "ES See Also";

  // Browser support messages
  //
  ParamMessages.mUseAccessibleHTML   = "ES Do you require accessible HTML support?";
  ParamMessages.mBrowserNotSupported = "Su explorador de Internet no es compatible con las funciones\\nnecesarias para ver esta p\u00e1gina correctamente. Los exploradores compatibles son:\\n\\n IE4 y posteriores para Windows y UNIX\\n IE5 y posteriores para Mac\\n Netscape 6.1 y posteriores para Windows, Mac y UNIX\\n Netscape 4.x para Windows, Mac y UNIX";

  // Accessibility messages
  //
  ParamMessages.mAccessibilityListSeparator            = "ES ,";
  ParamMessages.mAccessibilityDocumentFrameName        = "ES Document";
  ParamMessages.mAccessibilityDisabledNavigationButton = "ES Disabled button %s";
  ParamMessages.mAccessibilityPopupClickThrough        = "ES Click here to go to the source document.";
}

function  WWHCommonMessages_Set_fr(ParamMessages)
{
  // Icon Labels
  //
  ParamMessages.mShowNavigationIconLabel = "Navigation";
  ParamMessages.mSyncIconLabel           = "Afficher dans la table des mati\u00e8res";
  ParamMessages.mPrevIconLabel           = "Pr\u00e9c\u00e9dent";
  ParamMessages.mNextIconLabel           = "Suivant";
  ParamMessages.mRelatedTopicsIconLabel  = "Rubriques associ\u00e9es";
  ParamMessages.mEmailIconLabel          = "E-mail";
  ParamMessages.mPrintIconLabel          = "Imprimer";
  ParamMessages.mBookmarkIconLabel       = "Ajouter aux Favoris";
  ParamMessages.mBookmarkLinkMessage     = "Cliquez sur ce lien avec le bouton droit de la souris et ajoutez-le \u00e0 vos Favoris.";

  // ALinks support
  //
  ParamMessages.mSeeAlsoLabel = "FR See Also";

  // Browser support messages
  //
  ParamMessages.mUseAccessibleHTML   = "FR Do you require accessible HTML support?";
  ParamMessages.mBrowserNotSupported = "Votre navigateur Web ne prend pas en charge les fonctions\\nrequises pour visualiser cette page de mani\u00e8re correcte. Les navigateurs pris en charge sont?:\\n\\n IE4 et version ult\u00e9rieure sous Windows et UNIX\\n IE5 et version ult\u00e9rieure sur Mac\\n Netscape 6.1 et version ult\u00e9rieure sous Windows, Mac et UNIX\\n Netscape 4.x sous Windows, Mac et UNIX";

  // Accessibility messages
  //
  ParamMessages.mAccessibilityListSeparator            = "FR ,";
  ParamMessages.mAccessibilityDocumentFrameName        = "FR Document";
  ParamMessages.mAccessibilityDisabledNavigationButton = "FR Disabled button %s";
  ParamMessages.mAccessibilityPopupClickThrough        = "FR Click here to go to the source document.";
}

function  WWHCommonMessages_Set_it(ParamMessages)
{
  // Icon Labels
  //
  ParamMessages.mShowNavigationIconLabel = "Mostra navigazione";
  ParamMessages.mSyncIconLabel           = "Mostra in Contenuto";
  ParamMessages.mPrevIconLabel           = "Precedente";
  ParamMessages.mNextIconLabel           = "Avanti";
  ParamMessages.mRelatedTopicsIconLabel  = "Argomenti correlati";
  ParamMessages.mEmailIconLabel          = "E-mail";
  ParamMessages.mPrintIconLabel          = "Stampa";
  ParamMessages.mBookmarkIconLabel       = "Segnalibro";
  ParamMessages.mBookmarkLinkMessage     = "Fare clic con il tasto destro del mouse per aggiungere ai Segnalibri.";

  // ALinks support
  //
  ParamMessages.mSeeAlsoLabel = "IT See Also";

  // Browser support messages
  //
  ParamMessages.mUseAccessibleHTML   = "IT Do you require accessible HTML support?";
  ParamMessages.mBrowserNotSupported = "Il browser Web in uso non supporta le funzioni necessarie\\nper visualizzare correttamente questa pagina. I browser supportati sono:\\n\\n IE4 e versioni successive su Windows e UNIX\\n IE5 e versioni successive su Mac\\n Netscape 6.1 e versioni successive per Windows, Mac e UNIX\\n Netscape 4.x su Windows, Mac e UNIX";

  // Accessibility messages
  //
  ParamMessages.mAccessibilityListSeparator            = "IT ,";
  ParamMessages.mAccessibilityDocumentFrameName        = "IT Document";
  ParamMessages.mAccessibilityDisabledNavigationButton = "IT Disabled button %s";
  ParamMessages.mAccessibilityPopupClickThrough        = "IT Click here to go to the source document.";
}

function  WWHCommonMessages_Set_ja(ParamMessages)
{
  // Icon Labels
  //
  ParamMessages.mShowNavigationIconLabel = "\u30ca\u30d3\u30b2\u30fc\u30b7\u30e7\u30f3 \u30d0\u30fc\u306e\u8868\u793a";
  ParamMessages.mSyncIconLabel           = "\u5185\u5bb9\u306e\u8868\u793a";
  ParamMessages.mPrevIconLabel           = "\u524d\u3078";
  ParamMessages.mNextIconLabel           = "\u6b21\u3078";
  ParamMessages.mRelatedTopicsIconLabel  = "\u95a2\u9023\u30c8\u30d4\u30c3\u30af";
  ParamMessages.mEmailIconLabel          = "\u96fb\u5b50\u30e1\u30fc\u30eb";
  ParamMessages.mPrintIconLabel          = "\u5370\u5237";
  ParamMessages.mBookmarkIconLabel       = "\u30d6\u30c3\u30af\u30de\u30fc\u30af";
  ParamMessages.mBookmarkLinkMessage     = "\u30ea\u30f3\u30af\u3092\u53f3\u30af\u30ea\u30c3\u30af\u3057\u3066\u3001\u30d6\u30c3\u30af\u30de\u30fc\u30af\u306b\u8ffd\u52a0\u3057\u307e\u3059\u3002";

  // ALinks support
  //
  ParamMessages.mSeeAlsoLabel = "JA See Also";

  // Browser support messages
  //
  ParamMessages.mUseAccessibleHTML   = "JA Do you require accessible HTML support?";
  ParamMessages.mBrowserNotSupported = "\u4f7f\u7528\u4e2d\u306e\u30d6\u30e9\u30a6\u30b6\u306f\u3001\u3053\u306e\u30da\u30fc\u30b8\u3092\u6b63\u3057\u304f\u8868\u793a\u3059\u308b\u305f\u3081\u306b\\n\u5fc5\u8981\u306a\u6a5f\u80fd\u3092\u30b5\u30dd\u30fc\u30c8\u3057\u3066\u3044\u307e\u305b\u3093\u3002 \u30b5\u30dd\u30fc\u30c8\u3055\u308c\u3066\u3044\u308b\u30d6\u30e9\u30a6\u30b6: \\n\\nWindows \u304a\u3088\u3073 UNIX \u4e0a\u3067\u5b9f\u884c\u3055\u308c\u308b IE4 \u4ee5\u964d\\nMac \u4e0a\u3067\u5b9f\u884c\u3055\u308c\u308b IE5 \u4ee5\u964d\\nWindows\u3001Mac\u3001UNIX \u4e0a\u3067\u5b9f\u884c\u3055\u308c\u308b Netscape 6.1 \u4ee5\u964d\\nWindows\u3001Mac\u3001UNIX \u4e0a\u3067\u5b9f\u884c\u3055\u308c\u308b Netscape 4.x";

  // Accessibility messages
  //
  ParamMessages.mAccessibilityListSeparator            = "JA ,";
  ParamMessages.mAccessibilityDocumentFrameName        = "JA Document";
  ParamMessages.mAccessibilityDisabledNavigationButton = "JA Disabled button %s";
  ParamMessages.mAccessibilityPopupClickThrough        = "JA Click here to go to the source document.";
}

function  WWHCommonMessages_Set_ko(ParamMessages)
{
  // Icon Labels
  //
  ParamMessages.mShowNavigationIconLabel = "????? ??";
  ParamMessages.mSyncIconLabel           = "????? ??";
  ParamMessages.mPrevIconLabel           = "??";
  ParamMessages.mNextIconLabel           = "??";
  ParamMessages.mRelatedTopicsIconLabel  = "?? ??";
  ParamMessages.mEmailIconLabel          = "??";
  ParamMessages.mPrintIconLabel          = "??";
  ParamMessages.mBookmarkIconLabel       = "???";
  ParamMessages.mBookmarkLinkMessage     = "??? ??? ??? ??? ???? ???? ?????.";

  // ALinks support
  //
  ParamMessages.mSeeAlsoLabel = "KO See Also";

  // Browser support messages
  //
  ParamMessages.mUseAccessibleHTML   = "KO Do you require accessible HTML support?";
  ParamMessages.mBrowserNotSupported = "? ????? ? ???? ???? ???? ? \\n??? ??? ???? ????. ???? ????:\\n\\nInternet Explorer 4 ??(Windows, UNIX )\\n Internet Explorer 5 ??(Mac)\\n Netscape 6.1 ??(Windows, Mac, UNIX)\\n Netscape 4.x(Windows, Mac, UNIX)";

  // Accessibility messages
  //
  ParamMessages.mAccessibilityListSeparator            = "KO ,";
  ParamMessages.mAccessibilityDocumentFrameName        = "KO Document";
  ParamMessages.mAccessibilityDisabledNavigationButton = "KO Disabled button %s";
  ParamMessages.mAccessibilityPopupClickThrough        = "KO Click here to go to the source document.";
}

function  WWHCommonMessages_Set_pt(ParamMessages)
{
  // Icon Labels
  //
  ParamMessages.mShowNavigationIconLabel = "Mostrar navega??o";
  ParamMessages.mSyncIconLabel           = "Mostrar em conte\u00fado";
  ParamMessages.mPrevIconLabel           = "Voltar";
  ParamMessages.mNextIconLabel           = "Avan?ar";
  ParamMessages.mRelatedTopicsIconLabel  = "T\u00f3picos relacionados";
  ParamMessages.mEmailIconLabel          = "E-mail";
  ParamMessages.mPrintIconLabel          = "Imprimir";
  ParamMessages.mBookmarkIconLabel       = "Favoritos";
  ParamMessages.mBookmarkLinkMessage     = "Clique com o bot?o direito no link para adicion\u00e1-lo aos seus Favoritos.";

  // ALinks support
  //
  ParamMessages.mSeeAlsoLabel = "PT See Also";

  // Browser support messages
  //
  ParamMessages.mUseAccessibleHTML   = "PT Do you require accessible HTML support?";
  ParamMessages.mBrowserNotSupported = "Seu navegador da web n?o suporta os recursos\\nnecess\u00e1rios \u00e0 visualiza??o desta p\u00e1gina. Os navegadores suportados s?o:\\n\\n IE4 e vers?o posterior para Windows e UNIX\\n IE5 e vers?o posterior para Mac\\n Netscape 6.1 e vers?o posterior para Windows, Mac e UNIX\\n Netscape 4.x para Windows, Mac e UNIX";

  // Accessibility messages
  //
  ParamMessages.mAccessibilityListSeparator            = "PT ,";
  ParamMessages.mAccessibilityDocumentFrameName        = "PT Document";
  ParamMessages.mAccessibilityDisabledNavigationButton = "PT Disabled button %s";
  ParamMessages.mAccessibilityPopupClickThrough        = "PT Click here to go to the source document.";
}

function  WWHCommonMessages_Set_sv(ParamMessages)
{
  // Icon Labels
  //
  ParamMessages.mShowNavigationIconLabel = "Visa navigering";
  ParamMessages.mSyncIconLabel           = "Visa i inneh?ll";
  ParamMessages.mPrevIconLabel           = "F?reg?ende";
  ParamMessages.mNextIconLabel           = "N?sta";
  ParamMessages.mRelatedTopicsIconLabel  = "N?rliggande information";
  ParamMessages.mEmailIconLabel          = "E-post";
  ParamMessages.mPrintIconLabel          = "Skriv ut";
  ParamMessages.mBookmarkIconLabel       = "Bokm?rke";
  ParamMessages.mBookmarkLinkMessage     = "H?gerklicka p? l?nken och l?gg till den till dina bokm?rken.";

  // ALinks support
  //
  ParamMessages.mSeeAlsoLabel = "SV See Also";

  // Browser support messages
  //
  ParamMessages.mUseAccessibleHTML   = "SV Do you require accessible HTML support?";
  ParamMessages.mBrowserNotSupported = "Webbl?saren har inte de funktioner som kr?vs f?r\\natt sidan ska visas p? r?tt s?tt. Webbl?sare som kan anv?ndas ?r:\\n\\n IE4 och senare i Windows och UNIX\\n IE5 och senare i Mac\\n Netscape 6.1 och senare i Windows, Mac och UNIX\\n Netscape 4.x i Windows, Mac och UNIX";

  // Accessibility messages
  //
  ParamMessages.mAccessibilityListSeparator            = "SV ,";
  ParamMessages.mAccessibilityDocumentFrameName        = "SV Document";
  ParamMessages.mAccessibilityDisabledNavigationButton = "SV Disabled button %s";
  ParamMessages.mAccessibilityPopupClickThrough        = "SV Click here to go to the source document.";
}

function  WWHCommonMessages_Set_zh(ParamMessages)
{
  // Icon Labels
  //
  ParamMessages.mShowNavigationIconLabel = "\u663e\u793a\u5bfc\u822a";
  ParamMessages.mSyncIconLabel           = "\u5728\u76ee\u5f55\u4e2d\u663e\u793a";
  ParamMessages.mPrevIconLabel           = "\u4e0a\u4e00\u9875";
  ParamMessages.mNextIconLabel           = "\u4e0b\u4e00\u9875";
  ParamMessages.mRelatedTopicsIconLabel  = "\u76f8\u5173\u4e3b\u9898";
  ParamMessages.mEmailIconLabel          = "\u7535\u5b50\u90ae\u4ef6";
  ParamMessages.mPrintIconLabel          = "\u6253\u5370";
  ParamMessages.mBookmarkIconLabel       = "\u4e66\u7b7e";
  ParamMessages.mBookmarkLinkMessage     = "\u53f3\u952e\u5355\u51fb\u94fe\u63a5\uff0c\u5c06\u5176\u6dfb\u52a0\u5230\u4e66\u7b7e\u4e2d\u3002";

  // ALinks support
  //
  ParamMessages.mSeeAlsoLabel = "\u53e6\u8bf7\u53c2\u89c1";

  // Browser support messages
  //
  ParamMessages.mUseAccessibleHTML   = "\u662f\u5426\u9700\u8981\u63d0\u4f9b\u53ef\u8bbf\u95ee\u7684 HTML?";
  ParamMessages.mBrowserNotSupported = "\u60a8\u7684 Web \u6d4f\u89c8\u5668\u4e0d\u652f\u6301\u6b63\u786e\u67e5\u770b\u672c\u9875\u8981\u6c42\u7684\\n\u5fc5\u9700\u529f\u80fd\u3002 \u652f\u6301\u7684\u6d4f\u89c8\u5668\u6709\uff1a\\n\\nIE4 \u53ca\u66f4\u9ad8\u7248\u672c\uff08Windows \u548c UNIX\uff09\\nIE5 \u53ca\u66f4\u9ad8\u7248\u672c\uff08Mac\uff09\\nNetscape 6.1 \u53ca\u66f4\u9ad8\u7248\u672c\uff08Windows\u3001Mac \u548c UNIX\uff09\\nNetscape 4.x\uff08Windows\u3001Mac \u548c UNIX\uff09";

  // Accessibility messages
  //
  ParamMessages.mAccessibilityListSeparator            = ",";
  ParamMessages.mAccessibilityDocumentFrameName        = "\u6587\u6863";
  ParamMessages.mAccessibilityDisabledNavigationButton = "\u7981\u7528\u7684\u6309\u94ae %s";
  ParamMessages.mAccessibilityPopupClickThrough        = "\u5355\u51fb\u6b64\u5904\u8f6c\u5230\u6e90\u6587\u6863\u3002";
}

function  WWHCommonMessages_Set_zh_tw(ParamMessages)
{
  // Icon Labels
  //
  ParamMessages.mShowNavigationIconLabel = "\u986f\u793a\u5c0e\u89bd";
  ParamMessages.mSyncIconLabel           = "\u986f\u793a\u5728\u76ee\u9304\u4e2d";
  ParamMessages.mPrevIconLabel           = "\u4e0a\u4e00\u9801";
  ParamMessages.mNextIconLabel           = "\u4e0b\u4e00\u9801";
  ParamMessages.mRelatedTopicsIconLabel  = "\u76f8\u95dc\u4e3b\u984c";
  ParamMessages.mEmailIconLabel          = "\u9ede\u5b50\u90f5\u4ef6";
  ParamMessages.mPrintIconLabel          = "\u5217\u5370";
  ParamMessages.mBookmarkIconLabel       = "\u66f8\u7c64";
  ParamMessages.mBookmarkLinkMessage     = "\u53f3\u9375\u6309\u4e00\u4e0b\u9023\u7d50\uff0c\u5c07\u5b83\u52a0\u5165\u5230\u66f8\u7c64\u4e2d\u3002";

  // ALinks support
  //
  ParamMessages.mSeeAlsoLabel = "ZH_TW See Also";

  // Browser support messages
  //
  ParamMessages.mUseAccessibleHTML   = "ZH_TW Do you require accessible HTML support?";
  ParamMessages.mBrowserNotSupported = "Web \u700f\u89bd\u5668\u4e0d\u652f\u63f4\u6b63\u78ba\u6aa2\u8996\u672c\u9801\u9700\u8981\u7684\u529f\u80fd\u3002 \u652f\u63f4\u7684\u700f\u89bd\u5668\u5305\u62ec\uff1a\\n\\n Windows \u8207 UNIX \u4e0a\u652f\u63f4 IE 4 \u6216\u66f4\u65b0\u7248\u672c\\n Mac \u4e0a\u652f\u63f4 IE5 \u6216\u66f4\u65b0\u7248\u672c\\n Windows\u3001Mac \u8207 UNIX \u4e0a\u652f\u63f4 Netscape 6.1\\n Windows\u3001Mac \u8207 UNIX \u4e0a\u652f\u63f4 Netscape 4.x";

  // Accessibility messages
  //
  ParamMessages.mAccessibilityListSeparator            = "ZH_TW ,";
  ParamMessages.mAccessibilityDocumentFrameName        = "ZH_TW Document";
  ParamMessages.mAccessibilityDisabledNavigationButton = "ZH_TW Disabled button %s";
  ParamMessages.mAccessibilityPopupClickThrough        = "ZH_TW Click here to go to the source document.";
}
